# Generated from addressable-2.2.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name addressable

%if 0%{?fedora} > 16
%global rubyabi 1.9.1
%else
%global rubyabi 1.8
%endif

Summary: Improved URI/URL Implementation
Name: rubygem-%{gem_name}
Version: 2.2.6
Release: 4%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://addressable.rubyforge.org/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: rubygem(idn)

BuildRequires: rubygems-devel
BuildRequires: rubygem(rspec-core)
BuildRequires: rubygem(launchy)
BuildRequires: rubygem(idn)

BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Addressable is a replacement for the URI implementation that is part of
Ruby's standard library. It more closely conforms to the relevant RFCs and
adds support for URI and URL templates.

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T
pushd ..
gem unpack %{SOURCE0}

pushd %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

gem build %{gem_name}.gemspec
popd
popd

mkdir -p ./%{gem_dir}
gem install \
	-V \
	--local \
	--install-dir .%{gem_dir} \
	--force --rdoc \
	--ri \
	../%{gem_name}-%{version}/%{gem_name}-%{version}.gem

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./* %{buildroot}/

## remove all shebang, set permission to 0644
find .%{gem_instdir}/{Rakefile,lib,spec} -type f | \
  xargs -n 1 sed -i -e '/^#!\/usr\/bin\/env ruby/d'
find .%{gem_instdir}/{Rakefile,lib,spec} -type f | \
  xargs chmod 0644

%check
pushd .%{gem_instdir}

rspec spec/

popd

%files
%dir %{gem_instdir}/
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/LICENSE
%{gem_instdir}/lib/
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/website
%{gem_instdir}/Rakefile
%{gem_instdir}/tasks
%{gem_instdir}/spec
%{gem_docdir}

%changelog
* Thu Feb 23 2012 Mo Morsi <mmorsi@redhat.com> - 2.2.6-4
- conditionalize version of ruby dependency

* Thu Feb 09 2012 Shawn Starr <shawn.starr@rogers.com> - 2.2.6-3
- Remove patch passes all tests now.

* Sun Nov 06 2011 Shawn Starr <shawn.starr@rogers.com> - 2.2.6-2
- Fix up package from bugzilla reviews

* Tue Jul 19 2011 Shawn Starr <shawn.starr@rogers.com> - 2.2.6-1
- Bump to latest upstream
- Overhall spec, split -doc packaging 
- Fix loader path to idn.so extension

* Thu Apr 01 2010 Adam Young <ayoung@ayoung.boston.devel.redhat.com> - 2.1.1-1
- Initial package
